<?php

function post_saved($id) {
    
    //include post_id in permalink > wp_posts.post_name)
    $post_data = get_post($post->ID, ARRAY_A);
    $slug = $post_data[‘post_name’];
    $newslug = $id . '-' . $slug;
    
    wp_update_post( array(
      'ID' => $post_id,
      'post_name' => $newslug
    ));

    //trim delimiter from external links
    $exlink = get_post_meta($id, 'external_link', true);
    $newlink = str_replace(";","",$exlink);
    update_post_meta($id, 'external_link', $newlink);
}

add_action('pmxi_saved_post', 'post_saved', 10, 1);

?>